epp_Result (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_Result class

### org.openrtk.idl.epp0604

# Class epp_Result

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_Result`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Result`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to document the success or failure of an EPP command execution. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_Result.java,v 1.1 2003/03/21 15:54:24 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:24 $

See Also:
  `epp_Exception`, `epp_Response`

  ## Field Summary
  `short` | `m_code` The decimal number that describes the success or failure of an EPP command.
  `epp_ResultData` | `m_data` The generic Result data.
  `String` | `m_lang` The language used to express the response message.
  `String` | `m_msg` The human-readable description of the response code.
  `epp_ResultValue[]` | `m_values` The array of values that provide server error details.

  ## Constructor Summary
  `epp_Result()` Empty constructor
  `epp_Result(short _m_code, String _m_msg, String _m_lang, epp_ResultValue[] _m_values)` The constructor with initializing variables.
  `epp_Result(short _m_code, String _m_msg, String _m_lang, epp_ResultValue[] _m_values, epp_ResultData _m_data)` The constructor with initializing variables.

  ## Method Summary
  `short` | `getCode()` Accessor method for the decimal number that describes the success or failure of an EPP command
  `epp_ResultData` | `getData()` Accessor method for the result data
  `String` | `getLang()` Accessor method for the language used to express the response message
  `String` | `getMsg()` Accessor method for the human-readable description of the response code
  `epp_ResultValue[]` | `getValues()` Accessor method for the array of messages that provide server error details
  `void` | `setCode(short value)` Accessor method for the decimal number that describes the success or failure of an EPP command
  `void` | `setData(epp_ResultData value)` Accessor method for the result data
  `void` | `setLang(String value)` Accessor method for the language used to express the response message
  `void` | `setMsg(String value)` Accessor method for the human-readable description of the response code
  `void` | `setValues(epp_ResultValue[] value)` Accessor method for the array of value that provide server error details
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_code

    public short m_code

> The decimal number that describes the success or failure of an EPP command.
> See Also:
>   `setCode(short)`, `getCode()`

### m_data

    public epp_ResultData m_data

> The generic Result data.
> See Also:
>   `setData(epp_ResultData)`, `getData()`

### m_lang

    public String m_lang

> The language used to express the response message.
> See Also:
>   `setLang(String)`, `getLang()`

### m_msg

    public String m_msg

> The human-readable description of the response code.
> See Also:
>   `setMsg(String)`, `getMsg()`

### m_values

    public epp_ResultValue[] m_values

> The array of values that provide server error details.
> See Also:
>   `setValues(epp_ResultValue[])`, `getValues()`

## Constructor Details

### epp_Result

    public epp_Result()

> Empty constructor

### epp_Result

    public epp_Result(short _m_code,
                      String _m_msg,
                      String _m_lang,
                      epp_ResultValue[] _m_values)

> The constructor with initializing variables.
> Parameters:
>   `_m_code` - The decimal number that describes the success or failure of an EPP command
>   `_m_msg` - The human-readable description of the response code
>   `_m_lang` - The language used to express the response message
>   `_m_values` - The array of messages that provide server error details

### epp_Result

    public epp_Result(short _m_code,
                      String _m_msg,
                      String _m_lang,
                      epp_ResultValue[] _m_values,
                      epp_ResultData _m_data)

> The constructor with initializing variables.
> Parameters:
>   `_m_code` - The decimal number that describes the success or failure of an EPP command
>   `_m_msg` - The human-readable description of the response code
>   `_m_lang` - The language used to express the response message
>   `_m_values` - The array of messages that provide server error details
>   `_m_data` - The generic result data.

## Method Details

### getCode

    public short getCode()

> Accessor method for the decimal number that describes the success or failure of an EPP command
> Returns:
>   The response code
> See Also:
>   `m_code`

### getData

    public epp_ResultData getData()

> Accessor method for the result data
> Returns:
>   The generic result data
> See Also:
>   `m_data`

### getLang

    public String getLang()

> Accessor method for the language used to express the response message
> Returns:
>   The language of the response message
> See Also:
>   `m_lang`

### getMsg

    public String getMsg()

> Accessor method for the human-readable description of the response code
> Returns:
>   The response code description
> See Also:
>   `m_msg`

### getValues

    public epp_ResultValue[] getValues()

> Accessor method for the array of messages that provide server error details
> Returns:
>   The array of error details
> See Also:
>   `m_values`

### setCode

    public void setCode(short value)

> Accessor method for the decimal number that describes the success or failure of an EPP command
> Parameters:
>   `value` - The response code
> See Also:
>   `m_code`

### setData

    public void setData(epp_ResultData value)

> Accessor method for the result data
> Parameters:
>   `value` - The generic result data
> See Also:
>   `m_data`

### setLang

    public void setLang(String value)

> Accessor method for the language used to express the response message
> Parameters:
>   `value` - The language of the response message
> See Also:
>   `m_lang`

### setMsg

    public void setMsg(String value)

> Accessor method for the human-readable description of the response code
> Parameters:
>   `value` - The reponse code description
> See Also:
>   `m_msg`

### setValues

    public void setValues(epp_ResultValue[] value)

> Accessor method for the array of value that provide server error details
> Parameters:
>   `value` - The array of error details
> See Also:
>   `m_values`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS